#점을 순서대로 이어서 물고기 그림 그리기
#점의 위치를 바꾸어 다른 그림도 완성하여 그리기
import turtle  
t= turtle.Turtle()
tw = turtle.Screen()
t.shape("turtle")

# 물고기 눈 그리기
def draw_fish_eye():  
    t.pensize(5)
    t.pencolor("red")
    t.penup()
    t.goto(-220,0)
    t.pendown()
    t.circle(30)
    
    t.pensize(10)
    t.pencolor("green")    
    t.penup()
    t.goto(-230,25)
    t.dot()

# 물고기 몸통 그리기
def draw_fish_body():
    draw_fish_eye()

    t.pensize(4)
    t.pencolor("blue")
    
    t.goto(0,-150)
    t.dot()
    t.write("1")
    t.goto(-100,-140)
    t.dot()
    t.write("2")
    t.goto(-180,-120)
    t.dot()
    t.write("3")
    t.goto(-260,-90)
    t.dot()
    t.write("4")
    t.goto(-310,-50)
    t.dot()
    t.write("5")
    t.goto(-350,0)             
    t.dot()
    t.write("6")

    t.goto(-310,50)
    t.dot()
    t.write("7")
    t.goto(-260,90)
    t.dot()
    t.write("8")
    t.goto(-180,120)       
    t.dot()
    t.write("9")
    t.goto(-100,140)
    t.dot()
    t.write("10")
    t.goto(0,150)
    t.dot()
    t.write("11")
    t.goto(70,100)
    t.dot()
    t.write("12")
    t.goto(135,50)
    t.dot()
    t.write("13")
    t.goto(190,0)         
    t.dot()
    t.write("14/26")
    t.goto(135,-50)
    t.dot()
    t.write("27")
    t.goto(70,-100)
    t.dot()
    t.write("28")
    
    draw_fish_tail()
    
# 물고기 꼬리 그리기    
def draw_fish_tail():    
    t.goto(230,40)
    t.dot()
    t.write("25")
    t.goto(270,80)
    t.dot()
    t.write("24")
    t.goto(310,120)
    t.dot()
    t.write("23")
    t.goto(350,160)
    t.dot()
    t.write("22")
    t.goto(350,80)
    t.dot()
    t.write("21")
    t.goto(350,0)     
    t.dot()
    t.write("20")
    t.goto(350,-80)
    t.dot()
    t.write("19")
    t.goto(350,-150)
    t.dot()
    t.write("18")
    t.goto(310,-120)
    t.dot()
    t.write("17")
    t.goto(270,-80)
    t.dot()
    t.write("16")
    t.goto(230,-40)
    t.dot()
    t.write("15")
    
#거북이를 원위치로 돌려 게임 준비 상태
    t.shape("turtle")
    t.goto(0,-150)
    t.pendown()
    t.color("purple")
    t.speed(1)
    t.left(180)

    
# 거북이를 키보드 방향키로 조작  / 거북이를 마우스로, 드래그로 바꿀수 있음
def keyRight():
    position = t.pos()
    t.goto(position[0] + 5, position[1])

def keyLeft():
    position = t.pos()
    t.goto(position[0] - 5, position[1])

def keyDown():
    position = t.pos()
    t.goto(position[0], position[1] - 5)

def keyUp():
    position = t.pos()
    t.goto(position[0], position[1] + 5)

def t_move():
    tw.onkey(keyLeft,  "Left")
    tw.onkey(keyUp,    "Up")
    tw.onkey(keyRight, "Right")
    tw.onkey(keyDown,  "Down")

while True: 
    q = turtle.textinput("", "그림을 그리겠습니까? (yes or no): ")
    if q == "no":
        break       
    elif q == "yes":
        p = turtle.textinput("", "무엇을 원하시나요? (fish, no): ")  # 확장하여 여러가지 그림 넣을 수 있음. 
        if p == "fish":   
            draw_fish_body()
            t_move()
            tw.listen()
            tw.mainloop()
            
        elif p == "no":
            break
            
turtle.done()
    



