#거북이 그림을 함수로 그려보자.
import turtle
t1 = turtle.Turtle()
t1.shape("turtle")

def pic_Circle(p_c1, p_c2): #원 그리고 parameter로 c1을 받음
    t1.fillcolor(p_c1)     
    t1.begin_fill()           
    t1.circle(40)            # 색칠하고 싶은 도형을 코딩함
    t1.end_fill()

    t1.fillcolor(p_c2)     
    t1.begin_fill()           
    t1.circle(20)             # 색칠하고 싶은 도형을 코딩함
    t1.end_fill()

def pic_Triangle(p_c2, p_angle, p_length):
    t1.fillcolor(p_c2)
    t1.begin_fill()
    for i in range(3):
        t1.forward(p_length-40)
        t1.left(p_angle)
    t1.end_fill()

#거북이가 'ㅁ'을 그린다. parameter로 length, a1, c2를 받음
def pic_Square(p_length, p_a1, p_c1, p_c2):   
    t1.fillcolor(p_c1)
    t1.begin_fill()
    for i in range(4):
        t1.forward(p_length)
        t1.left(p_a1)   
    t1.end_fill()

    t1.fillcolor(p_c2)
    t1.begin_fill()
    for i in range(4):
        t1.forward(p_length-30)
        t1.left(p_a1)   
    t1.end_fill()

def pic_Star(p_c1, p_length, p_a2):
    t1.fillcolor(p_c1)
    t1.begin_fill()
    for i in range(5):
        t1.forward(p_length)
        t1.right(p_a2)
    t1.end_fill()

def han_clear():               #거북이를 원위치, 그림을 지움
    t1.penup()
    t1.home()
    t1.clear()
    t1.pendown()
    
length = 100
a1 = 90
a2 = 144
a3 = 120
c1 = "green"
c2 = "blue"
    
for i in range(8):
    select = input("1 ~ 4중 원하는 번호를 입력하세요: ")
    
    if select == "stop":
        print("그림을 종료합니다. ")
        break
    elif select == '1':
        pic_Circle(c1, c2)
        han_clear()
    elif select == '2':
        pic_Square(length, a1, c1, c2)
        han_clear()
    elif select == '3':
        pic_Star(c1, length, a2)
        han_clear()
    elif select == '4':
        pic_Triangle(c1, a3, length)
        han_clear()
        
turtle.done()