# h, j 로 게임 실행
import turtle
win = turtle.Screen()
t1 = turtle.Turtle()

playerTurtle = turtle.Turtle()
computerTurtle = turtle.Turtle()

t1.shape("turtle")
t1.pencolor("red")

def check_hey_wins(p, c):
  if p == 1:   # 홀
    if c == 1:      # 홀
        t1.clear()
        t1.setheading(90)
        t1.color("green")
        t1.write("  무승부", font=("",10))
    elif c == 2:     # 짝
        t1.clear()
        t1.setheading(0)
        t1.color("red")
        t1.write("  컴퓨터가 이겼습니다", font=("",10))    
        
  elif p == 2: # 짝
    if c == 1:       # 홀
        t1.clear()
        t1.setheading(180)
        t1.color("blue")
        t1.write("  사람이 이겼습니다", font=("",10))
    elif c == 2:     # 짝
        t1. clear()
        t1.setheading(90)
        t1.color("green")
        t1.write("  무승부", font=("",10))
                
def showPlayerImage(player):
  if player == 1: # 홀
    playerTurtle.shape("h_hol.GIF")
  elif player == 2: # 짝
    playerTurtle.shape("h_jjack.GIF")

def showComputerImage(computer):
  if computer == 1: # 홀
    computerTurtle.shape("hol.GIF")
  elif computer == 2: # 짝
    computerTurtle.shape("jjack.GIF")
    
def playGame(player):
    showPlayerImage(player)
    import random
    computer = random.randint(1, 2)
    showComputerImage(computer)
    check_hey_wins(player, computer)

def playGameWithHol():
    playGame(1)

def playGameWithJjack():
    playGame(2)

win.setup(700, 600)

win.addshape("hol.GIF")
win.addshape("jjack.GIF")

win.addshape("h_hol.GIF")
win.addshape("h_jjack.GIF")

# 사용자 거북이 화면의 왼쪽 이동
playerTurtle.penup()
playerTurtle.goto(-180, 0)
playerTurtle.pendown()

# 컴퓨터 거북이 화면의 오른쪽 이동
computerTurtle.penup()
computerTurtle.goto(180, 0)
computerTurtle.pendown()

win.onkey(playGameWithHol, 'h')
win.onkey(playGameWithHol, 'H')
win.onkey(playGameWithJjack, 'j')
win.onkey(playGameWithJjack, 'J')

win.listen()
turtle.mainloop()
turtle.done()
