# s, r, p를 눌러 게임을 실
import turtle
win = turtle.Screen()
t1 = turtle.Turtle()

playerTurtle = turtle.Turtle()
computerTurtle = turtle.Turtle()

t1.shape("turtle")
t1.pencolor("red")

def check_hey_wins(p, c):
  if p == 1: # 가위
    if c == 1: # 가위
        t1.clear()
        t1.setheading(90)
        t1.color("green")
        t1.write("  무승부", font=("",10))
    elif c == 2: # 바위
        t1.clear()
        t1.setheading(0)
        t1.color("red")
        t1.write("  컴퓨터가 이겼습니다", font=("",10))    
    elif c == 3: # 보
        t1.clear()
        t1.setheading(180)
        t1.color("blue")
        t1.write("  사람이 이겼습니다", font=("",10))
        
  elif p == 2: # 바위
    if c == 1: # 가위
        t1.clear()
        t1.setheading(180)
        t1.color("blue")
        t1.write("  사람이 이겼습니다", font=("",10))
    elif c == 2: # 바위
        t1. clear()
        t1.setheading(90)
        t1.color("green")
        t1.write("  무승부", font=("",10))
    elif c == 3: # 보
        t1.clear()
        t1.setheading(0)
        t1.color("red")
        t1.write("  컴퓨터가 이겼습니다", font=("",10))
                
  elif p == 3: # 보
    if c == 1: # 가위
        t1.clear()
        t1.setheading(0)
        t1.color("red")
        t1.write("  컴퓨터가 이겼습니다", font=("",10))
    elif c == 2: # 바위
        t1.clear()
        t1.setheading(180)
        t1.color("blue")
        t1.write("  사람이 이겼습니다", font=("",10))
    elif c == 3: # 보
        t1.clear()
        t1.setheading(90)
        t1.color("green")
        t1.write("  무승부", font=("",10))

def showPlayerImage(player):
  if player == 1: # 가위
    playerTurtle.shape("h_scissors.GIF")
  elif player == 2: # 바위
    playerTurtle.shape("h_rock.GIF")
  elif player == 3: # 보
    playerTurtle.shape("h_paper.GIF")

def showComputerImage(computer):
  if computer == 1: # 가위
    computerTurtle.shape("scissors.GIF")
  elif computer == 2: # 바위
    computerTurtle.shape("rock.GIF")
  elif computer == 3: # 보
    computerTurtle.shape("paper.GIF")
    
def playGame(player):
    showPlayerImage(player)
    import random
    computer = random.randint(1, 3)
    showComputerImage(computer)
    check_hey_wins(player, computer)

def playGameWithScissors():
    playGame(1)

def playGameWithRock():
    playGame(2)

def playGameWithPaper():
    playGame(3)

win.setup(700, 600)

win.addshape("scissors.GIF")
win.addshape("rock.GIF")
win.addshape("paper.GIF")
win.addshape("h_scissors.GIF")
win.addshape("h_rock.GIF")
win.addshape("h_paper.GIF")

# 사용자 거북이 화면의 왼쪽 이동
playerTurtle.penup()
playerTurtle.goto(-180, 0)
playerTurtle.pendown()

# 컴퓨터 거북이 화면의 오른쪽 이동
computerTurtle.penup()
computerTurtle.goto(180, 0)
computerTurtle.pendown()

win.onkey(playGameWithScissors, 's')
win.onkey(playGameWithScissors, 'S')
win.onkey(playGameWithRock, 'r')
win.onkey(playGameWithRock, 'R')
win.onkey(playGameWithPaper, 'p')
win.onkey(playGameWithPaper, 'P')

win.listen()
turtle.mainloop()
turtle.done()
